Subject: RE: [Sigtran] ASP ID

From: "Wung, Joseph" <[email-masked]>
Date: Tue, 9 Jul 2002 09:10:12 -0400

Nahar,
 
The "Invalid ASP Identifier" [error] is send by a SGP in response
to an ASP Up message with an invalid (i.e., non-unique) ASP Identifier.
 
Joe

-----Original Message-----
From: Nahar,virendra [mailto:[email-masked]]
Sent: Tuesday, July 09, 2002 12:28 AM
To: Schantz, John
Cc: Tolga Asveren; [email-masked]
Subject: Re: [Sigtran] ASP ID

Hi john/all 

"Schantz, John" wrote: 

So I take it you want the AS to play "20 questions" with the SG until 
the SG is happy with the value the AS has selected for the ASP ID?  (Boy 
am I glad its OPTIONAL!) It could take a very long time for an ASP to 
come up into the Active state if the SG has may ASP connections. 

I think ASP ID uniqueness at the AS is all that was expected.

    Nahar: Let me know what do u suggest to send in the REG_RSP for the case
I 
                mentioned in my last mail.i.e start of this thread. 
               i.e after decoding rk we find that this ASPID of ASP is
already in use 
for this AS/RK by some other ASP. 

Thanks 
Nahar 

John 

-----Original Message----- 
From: Tolga Asveren [ mailto:[email-masked]
<mailto:[email-masked]> ] 
Sent: Friday, July 05, 2002 10:22 AM 
To: [email-masked] 
Subject: RE: [Sigtran] ASP ID 

One of the purposes of  having AspId in ASPUP is to support dynamic IP 
adress allocation for ASPs. So, IMO the statement that it is locally 
significant among ASPs that support an AS is in conflict with that 
purpose. I think, to meet all demands, AspId should be unique per SGP. 

  Tolga 

-----Original Message----- 
From: [email-masked] [ mailto:[email-masked]
<mailto:[email-masked]> ]On Behalf Of 
Nahar,virendra 
Sent: Friday, July 05, 2002 9:37 AM 
To: Sigtran 
Subject: [Sigtran] ASP ID 

Hi 
The draft Says ASP ID in ASP UP message should be checked for 
uniqueness. The optional ASP Identifier parameter contains a unique 
value that is locally significant among the ASPs that support an AS. 
    But the ASP is part of which AS will be known only when a REG_REQ 
from that ASP is received.(assuming no static config) 
    So after decoding say REG_REQ  say ASP is going to participate in AS 
X which is already having an ASP with same ASP ID. 
    SO an Error message will be sent here saying invalid ASP ID But what 
should be sent in the REG_RSP I guess 1 Unknown Error 2 No Reg Response 
is needed in this case 
    Pls Clarify. 
Thanks 
Nahar 
-- 
Virendra Nahar 
HCL-Technologies Ltd 
Networking Technology Lab 
HCL Technologies Ltd., 
Ground Floor, Block - 1, Chandamama Building, 
184 to 188,190,192 & 196, NSK Road, 
Vadapalani, Chennai - 600 026 
Phone office      : +91-44-3728366 extn - 1129 
Fax               : +91-44-4806640 
mailto:[email-masked] <mailto:[email-masked]>  
PUTT' LAW 
" TECHNOLOGY is dominated by two types of people 
1.Those who unserstand what they do not manage ! 
2.Those who manage what they do not understand ! 
############################################################ 
"He who has a why for life can put with any how." 
                             Frederick Nietzsche 
############################################################ 

_______________________________________________ 
Sigtran mailing list 
[email-masked] 
https://www1.ietf.org/mailman/listinfo/sigtran
<https://www1.ietf.org/mailman/listinfo/sigtran>  

_______________________________________________ 
Sigtran mailing list 
[email-masked] 
https://www1.ietf.org/mailman/listinfo/sigtran
<https://www1.ietf.org/mailman/listinfo/sigtran> 

-- 
Virendra Nahar 
HCL-Technologies Ltd 
Networking Technology Lab 
HCL Technologies Ltd., 
Ground Floor, Block - 1, Chandamama Building, 
184 to 188,190,192 & 196, NSK Road, 
Vadapalani, Chennai - 600 026 
Phone office      : +91-44-3728366 extn - 1129 
Fax               : +91-44-4806640 
mailto:[email-masked] <mailto:[email-masked]>  
PUTT' LAW 
" TECHNOLOGY is dominated by two types of people 
1.Those who unserstand what they do not manage ! 
2.Those who manage what they do not understand ! 
############################################################ 
"He who has a why for life can put with any how." 
                             Frederick Nietzsche 
############################################################